---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libgetfldnm004.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4FE40, symBinAddr: 0x51C0, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51D80, symBinAddr: 0x7100, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52170, symBinAddr: 0x74F0, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53110, symBinAddr: 0x8490, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53120, symBinAddr: 0x84A0, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4FAC0, symBinAddr: 0x5080, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4FAC4, symBinAddr: 0x5084, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4FAC8, symBinAddr: 0x5088, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FC20, symBinAddr: 0x5090, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FCD8, symBinAddr: 0x5148, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FCDC, symBinAddr: 0x514C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FCE0, symBinAddr: 0x5150, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FCE4, symBinAddr: 0x5154, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FCE8, symBinAddr: 0x5158, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FCF0, symBinAddr: 0x5160, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FD08, symBinAddr: 0x5178, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4FD10, symBinAddr: 0x5180, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4FD18, symBinAddr: 0x5188, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4FD20, symBinAddr: 0x5190, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4FD28, symBinAddr: 0x5198, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4FD6A, symBinAddr: 0x51AA, symSize: 0x0 }
  - { offsetInCU: 0x90F4, offset: 0x90F4, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4FD70, symBinAddr: 0x51B0, symSize: 0x0 }
  - { offsetInCU: 0x910D, offset: 0x910D, size: 0x8, addend: 0x0, symName: __ZL6fields, symObjAddr: 0xDBB0, symBinAddr: 0x4020, symSize: 0x0 }
  - { offsetInCU: 0x9167, offset: 0x9167, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4FD78, symBinAddr: 0x51B8, symSize: 0x0 }
  - { offsetInCU: 0x91C0, offset: 0x91C0, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x8C0, symSize: 0x80 }
  - { offsetInCU: 0x9255, offset: 0x9255, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x810, symSize: 0xB0 }
  - { offsetInCU: 0x92B0, offset: 0x92B0, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x710, symSize: 0x100 }
  - { offsetInCU: 0x9543, offset: 0x9543, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x940, symSize: 0x220 }
  - { offsetInCU: 0x9728, offset: 0x9728, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xB60, symSize: 0xA0 }
  - { offsetInCU: 0x97DB, offset: 0x97DB, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xC00, symSize: 0x110 }
  - { offsetInCU: 0x98D1, offset: 0x98D1, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0xD10, symSize: 0x150 }
  - { offsetInCU: 0x9A02, offset: 0x9A02, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0xE60, symSize: 0x30 }
  - { offsetInCU: 0x9A8B, offset: 0x9A8B, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0xE90, symSize: 0x150 }
  - { offsetInCU: 0x9C83, offset: 0x9C83, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0xFE0, symSize: 0x160 }
  - { offsetInCU: 0x9E0F, offset: 0x9E0F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1140, symSize: 0x1B0 }
  - { offsetInCU: 0xA02A, offset: 0xA02A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x12F0, symSize: 0xA0 }
  - { offsetInCU: 0xA0F9, offset: 0xA0F9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x1390, symSize: 0x20 }
  - { offsetInCU: 0xA130, offset: 0xA130, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x13B0, symSize: 0x20 }
  - { offsetInCU: 0xA167, offset: 0xA167, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x13D0, symSize: 0x20 }
  - { offsetInCU: 0xA2D6, offset: 0xA2D6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x13F0, symSize: 0x1A0 }
  - { offsetInCU: 0xA5FC, offset: 0xA5FC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x1590, symSize: 0x80 }
  - { offsetInCU: 0xA6C5, offset: 0xA6C5, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x1610, symSize: 0x6A0 }
  - { offsetInCU: 0xB25A, offset: 0xB25A, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9F30, symBinAddr: 0x2660, symSize: 0xB0 }
  - { offsetInCU: 0xB2D1, offset: 0xB2D1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x1CB0, symSize: 0x70 }
  - { offsetInCU: 0xB36D, offset: 0xB36D, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x1D20, symSize: 0xA0 }
  - { offsetInCU: 0xB44C, offset: 0xB44C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x1DC0, symSize: 0x40 }
  - { offsetInCU: 0xB542, offset: 0xB542, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x1E00, symSize: 0x2B0 }
  - { offsetInCU: 0xB8E8, offset: 0xB8E8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x20B0, symSize: 0xC0 }
  - { offsetInCU: 0xBA2E, offset: 0xBA2E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x2170, symSize: 0x10 }
  - { offsetInCU: 0xBAF0, offset: 0xBAF0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x2180, symSize: 0x220 }
  - { offsetInCU: 0xBE26, offset: 0xBE26, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x23A0, symSize: 0x70 }
  - { offsetInCU: 0xBEF1, offset: 0xBEF1, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9CE0, symBinAddr: 0x2410, symSize: 0x70 }
  - { offsetInCU: 0xC00C, offset: 0xC00C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetFieldName_getfldnm004_check, symObjAddr: 0x9D50, symBinAddr: 0x2480, symSize: 0x1E0 }
  - { offsetInCU: 0xC14E, offset: 0xC14E, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9FE0, symBinAddr: 0x2710, symSize: 0x36A }
...
